Merge "Fix a bug that break the vp8 fragment decoder."
diff --git a/build/make/iosbuild.sh b/build/make/iosbuild.sh
index 5d2051e..2d6eb5b 100755
--- a/build/make/iosbuild.sh
+++ b/build/make/iosbuild.sh
@@ -172,8 +172,13 @@
# Trap function. Cleans up the subtree used to build all targets contained in
# $TARGETS.
cleanup() {
+ local readonly res=$?
cd "${ORIG_PWD}"
+ if [ $res -ne 0 ]; then
+ elog "build exited with error ($res)"
+ fi
+
if [ "${PRESERVE_BUILD_OUTPUT}" != "yes" ]; then
rm -rf "${BUILD_ROOT}"
fi
@@ -194,6 +199,10 @@
EOF
}
+elog() {
+ echo "${0##*/} failed because: $@" 1>&2
+}
+
vlog() {
if [ "${VERBOSE}" = "yes" ]; then
echo "$@"
@@ -255,3 +264,5 @@
fi
build_framework "${TARGETS}"
+echo "Successfully built '${FRAMEWORK_DIR}' for:"
+echo " ${TARGETS}"